<?php 

include 'config.php';

$query = $db->query("SELECT * FROM odemeler where notify = 0 ORDER BY id ASC", PDO::FETCH_ASSOC);

foreach ($query as $veri){

$saat = date('H:i:s', $veri['tarih']);



$urun_fiyatlari = [
    '1paket' => '50 Jeton - 49,99TL',
    '2paket' => '100 Jeton - 99,99TL',
    '3paket' => '250 Jeton - 199,99TL',
    '4paket' => '500 Jeton - 299,99TL',
    '5paket' => '1000 Jeton - 399,99TL',
    '6paket' => 'Sınırsız Jeton - 699,99TL',
    'visitor' => 'Ziyaretçi Kilidi - 29,99TL',
    'visitorunlock' => 'Ziyaretçi Kilidi - 59,99TL',
    'callunlock' => 'Arama Kilidi - 199,99TL',
    '100paket' => '100 Jeton - 199,99TL',
    '100paketindirim' => '100 Jeton (İndirimli) - 149,99TL',
    '100jetonnormal' => '100 Jeton - 149,99TL',
    '100jetonindirim' => '100 Jeton (İndirimli) - 99,99TL',
    '250paket' => '250 Jeton - 299,99TL',
    '500paket' => '500 Jeton - 399,99TL',
    '1000paket' => '1000 Jeton - 499,99TL',
    '2500paket' => '2500 Jeton - 799,99TL',
    '5000paket' => '5000 Jeton - 1399,99TL',
    'sinirsizpaket' => 'Sınırsız Jeton - 2599,99TL',
    'sinpaket' => 'Sınırsız Jeton - 699,99TL',
    'aramapaket' => 'Arama Kilidi - 249,99TL',
    'iletisimpaket' => 'İletişim Paketi - 249,99TL',
    'onaylihesap' => 'Onaylı Hesap - 249,99TL',
    'boostpaket' => 'Boost Paketi - 499,99TL',
    'konumpaket' => 'Konum Paketi - 249,99TL',
];

$urun = $urun_fiyatlari[$veri['urun']];






$bildirim_icerik = "<b>".$veri['user_fullname']."</b> isimli üye <b>".$urun."</b> paketini satın aldı.\n".$saat." \n<b>~ HeySen</b>";






$token = "2039215678:AAHz7uXdojLiXTkSme_UHy6TuJHsiIyr9Tc";
 
$parametre= array(
'chat_id' => "713052668",
'text' => $bildirim_icerik,
);
$ch = curl_init();
$url = "https://api.telegram.org/bot".$token."/sendmessage?parse_mode=html";
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_HEADER, false);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS, $parametre);
curl_setopt($ch, CURLOPT_SSL_VERIFYPEER, false);
$result = curl_exec($ch);

$json_cikti = json_decode($result,true);

if($json_cikti['ok']==true){
    //echo "bildirim bas";

    $query = $db->prepare("UPDATE odemeler SET
notify = :yeni_kadi
WHERE id = :eski_kadi");
$update = $query->execute(array(
     "yeni_kadi" => 1,
     "eski_kadi" => $veri['id']
));



}


}

?>